List knowledge store items
This method returns a list of items in the specified knowledge store.
Authentication
x-api-keystring
Your API key.
Note
You can find your API key on the API Keys page.
Path parameters
knowledge_store_id
The unique identifier of the knowledge store.
Query parameters
page
A number that identifies the page to retrieve.
Default: 1.
page_limit
The number of items to return on each page.
Default: 10.
Max: 50.
sort_by
The field to sort on. The following options are available:
created_at: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was created.updated_at: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was last updated.
Default: created_at.
Allowed values:
sort_option
The sorting direction. The following options are available:
ascdesc
Default: desc.
status
Filter by one or more item processing statuses. For the meaning of each value, see the Item statuses section on The knowledge store item object page.
To filter by multiple statuses, repeat the status parameter for each value:
status=queued&status=pending
Allowed values:
Response
The knowledge store items have been successfully retrieved.
data
An array containing the knowledge store items.
page_info
An object that provides information about pagination.
Errors
400
Bad Request Error